

* {
    box-sizing: border-box;
}

/* GLOBAL STYLES */

body,
.Notes {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    font-size: 16px;
}

button {
    background: none;
    border: 0;
    margin: 0;
    padding: 0;
    font-size: inherit;
    font-family: inherit;
    cursor: pointer;
    color: #08c;
}
button:hover {
    color: #04c;
}

.Notes {
    display: flex;
}

.search {
    display: flex;
    align-items: center;
    background: rgb(233, 233, 233);
    border-radius: 10px;
    padding: 10px;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
    margin-bottom: 1.5rem;
}

.search input {
    border: none;
    background:rgb(233, 233, 233);
    width: 100%;
    font-size: 18px;
}

.search input:focus {
    outline: none;
}

textarea {
    margin-top: 1.3rem !important;
}

.category {
    font-style: italic;
    margin-bottom: 1rem;
}

/* SIDEBAR STYLES */

.app-sidebar {
    width: 30%;
    height: 100vh;
    border-right: 1px solid #ddd;
}

.app-sidebar-header,
.app-main-header {
    display: flex;
    justify-content: space-between;
    padding: 25px;
}
.app-sidebar-header h1 {
    margin: 0;
}

.app-sidebar-notes {
    height: calc(100vh - 78px);
    overflow-y: scroll;
}
.app-sidebar-note {
    padding: 25px;
    cursor: pointer;
}
.sidebar-note-title {
    display: flex;
    justify-content: space-between;
}
.app-sidebar-note button {
    color: crimson;
}
.app-sidebar-note p {
    margin: 10px 0;
}
.app-sidebar-note small {
    display: block;
    color: #999;
}

.app-sidebar-note:hover {
    background: #ddd;
}
.app-sidebar-note.active,
.app-sidebar-note.active small {
    background: #08c;
    color: white;
}

/* NOTE EDIT / STYLES */

.app-main {
    width: 70%;
    height: 100vh;
}
.app-main-note-edit {
    height: 50vh;
}

.no-active-note {
    width: 70%;
    height: 100vh;
    line-height: 100vh;
    text-align: center;
    font-size: 2rem;
    color: #999;
}

/* EDIT NOTE */
.app-main-note-edit {
    padding: 25px;
}

.app-main-note-edit input,
textarea {
    display: block;
    border: 1px solid #ddd;
    margin-bottom: 20px;
    width: 100%;
    height: calc(50vh - 130px);
    padding: 10px;
    resize: none;
    font-size: inherit;
    font-family: inherit;
}
.app-main-note-edit input {
    height: 50px;
    font-size: 2rem;
}


